function K = util_dist2(x, y)
% compute pairwise distance between x and y
% 
%   x       n x p feature vector
%   y       m x p feature vector
% 
%   K       n x m distant matrix
% 
if nargin < 2, y = x; end

normsqr = @(x) sum(x.^2,2);

[X Y] = ndgrid(normsqr(x), normsqr(y));
K = X + Y - 2*x*y';
